# Asterisk Project : Asterisk 13 Application_MinivmRecord

Created by wikibot on Aug 08, 2014

# MinivmRecord()

### Synopsis

Receive Mini-Voicemail and forward via e-mail.

### Description

This application is part of the Mini-Voicemail system, configured in `minivm.conf`

MiniVM records audio file in configured format and forwards message to e-mail and pager.

If there's no user account for that address, a temporary account will be used with default options.

The recorded file name and path will be stored in `MVM_FILENAME` and the duration of the message will be stored in `MVM_DURATION`

Note

Icon

If the caller hangs up after the recording, the only way to send the message and clean up is to execute in the `h` extension. The application will exit if any of the following DTMF digits are received and the requested extension exist in the current context.

- `MVM_RECORD_STATUS` - This is the status of the record operation
  - SUCCESS
  - USEREXIT
  - FAILED

### Syntax

    MinivmRecord(username@domain,[options])

##### Arguments

- `mailbox`
  - `username` - Voicemail username
  - `domain` - Voicemail domain
- `options`
  - `0` - Jump to the `o` extension in the current dialplan context.
  - `*` - Jump to the `a` extension in the current dialplan context.
  - `g` - Use the specified amount of gain when recording the voicemail message. The units are whole-number decibels (dB).
    - `gain` - Amount of gain to use

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538